// $Id: EODataSource.h,v 1.2 2002/11/17 17:29:11 helge Exp $

#ifndef __EOControl_EODataSource_H__
#define __EOControl_EODataSource_H__

#import <Foundation/NSObject.h>

@class NSArray, NSEnumerator;
@class EOClassDescription;

@interface EODataSource : NSObject

/* reflection */

- (EOClassDescription *)classDescriptionForObjects;

/* master-detail */

- (EODataSource *)dataSourceQualifiedByKey:(NSString *)_relKey;
- (void)qualifyWithRelationshipKey:(NSString *)_relKey ofObject:(id)_object;

/* operations */

- (NSArray *)fetchObjects;
- (void)deleteObject:(id)_object;
- (void)insertObject:(id)_object;
- (id)createObject;

- (NSEnumerator *)fetchEnumerator;

@end

#endif /* __EOControl_EODataSource_H__ */
