// $Id: EOGlobalID.h,v 1.1.1.1 2002/05/22 17:27:37 helge Exp $

#ifndef __EOControl_EOGlobalID_H__
#define __EOControl_EOGlobalID_H__

#import <Foundation/NSObject.h>

@class NSArray;
@class EOFetchSpecification;

#define EOUniqueBinaryKeyLength 12

@interface EOGlobalID : NSObject < NSCopying >
{
}

- (BOOL)isTemporary;

@end

@interface EOTemporaryGlobalID : EOGlobalID
{
  unsigned char idbuffer[EOUniqueBinaryKeyLength];
}

+ (void)assignGloballyUniqueBytes:(unsigned char *)_buffer;

@end

#endif /* __EOControl_EOGlobalID_H__ */
