// $Id: NGLdapSearchResultEnumerator.h,v 1.1.1.1 2002/05/22 17:27:17 helge Exp $

#ifndef __NGLdapSearchResultEnumerator_H__
#define __NGLdapSearchResultEnumerator_H__

#import <Foundation/NSEnumerator.h>
#import <Foundation/NSDate.h>

@class NGLdapConnection;

@interface NGLdapSearchResultEnumerator : NSEnumerator
{
@public
  NGLdapConnection *connection;
  void             *handle;
  int              msgid;
  NSTimeInterval   timeout;
  NSTimeInterval   startTime;
  unsigned         index;
}

- (id)initWithConnection:(NGLdapConnection *)_con messageID:(int)_mid;

- (int)messageID;
- (NSTimeInterval)duration;
- (unsigned)index;

- (void)cancel;

@end

#endif /* __NGLdapSearchResultEnumerator_H__ */
