// $Id: NSString+DN.h,v 1.1.1.1 2002/05/22 17:27:17 helge Exp $

#ifndef __NSString_DN_H__
#define __NSString_DN_H__

#import <Foundation/NSString.h>

@class NSArray, NSDate;

@interface NSString(DNSupport)

+ (NSString *)dnWithComponents:(NSArray *)_components;

- (NSArray *)dnComponents;

- (NSString *)stringByAppendingDNComponent:(NSString *)_component;
- (NSString *)stringByDeletingLastDNComponent;
- (NSString *)lastDNComponent;

- (const char *)ldapRepresentation;

- (NSDate *)ldapTimestamp;

@end

#endif /* __NSString_DN_H__ */
