// $Id: NGMBoxReader.h,v 1.1.1.1 2002/05/22 17:27:18 helge Exp $

#ifndef __NGMail_NGMBoxReader_H__
#define __NGMail_NGMBoxReader_H__

#import <Foundation/NSEnumerator.h>

#import <NGStreams/NGStreamProtocols.h>
#import <NGMime/NGPart.h>

@class NSString, NSDictionary;

@interface NGMBoxReader : NSEnumerator
{
@protected
  id<NGByteSequenceStream> source;
  NSString *lastDate;
  NSString *separator;
  BOOL     isEndOfStream;

  IMP readByte;
}

+ (id)readerForMBox:(NSString *)_path;
+ (id)mboxWithSource:(id<NGByteSequenceStream>)_source;
                      
- (id)initWithSource:(id<NGByteSequenceStream>)_source;

- (id<NGMimePart>)nextMessage; // same as -nextObject

@end

#endif /* __NGMail_NGMBoxReader_H__ */
