// $Id: NGSmtpSupport.h,v 1.1.1.1 2002/05/22 17:27:18 helge Exp $

#ifndef __NGMail_NGSmtpSupport_H__
#define __NGMail_NGSmtpSupport_H__

#import <Foundation/NSObject.h>
#include <NGMail/NGSmtpReplyCodes.h>

@class NSString;


NSString *NGSmtpDescriptionForReplyCode(NGSmtpReplyCode _code);


@interface NGSmtpResponse : NSObject
{
@protected
  NGSmtpReplyCode code;
  NSString        *text;
}

+ (id)responseWithCode:(NGSmtpReplyCode)_code text:(NSString *)_text;

// accessors

- (NGSmtpReplyCode)code;
- (NSString *)text;

// special accessors

- (NSString *)lastLine;

- (BOOL)isPositive;          // <400 code groups
- (BOOL)isTransientNegative; // 400 code group
- (BOOL)isPermanentNegative; // 500 code group

@end

#endif /* __NGMail_NGSmtpSupport_H__ */
