// $Id: NGMimeBodyPartParser.m,v 1.3 2003/01/21 17:21:45 jan Exp $

#include "NGMimeBodyPartParser.h"
#include "NGMimeBodyPart.h"
#include "common.h"

@implementation NGMimeBodyPartParser

+ (int)version {
  return 3;
}
+ (void)initialize {
  NSAssert2([super version] == 3,
            @"invalid superclass (%@) version %i !",
            NSStringFromClass([self superclass]), [super version]);
}

- (NGMimeType *)defaultContentTypeForPart:(id<NGMimePart>)_part {
  return [NGMimeType mimeType:@"text/plain"];
}

- (id<NGMimePart>)producePartWithHeader:(NGHashMap *)_header {
  return [NGMimeBodyPart bodyPartWithHeader:_header];
}

- (void)parseBodyOfPart:(id<NGMimePart>)_part {
  return [super parseBodyOfPart:_part];
}

@end /* NGMimeBodyPartParser */
