// $Id: NGGZipStream.h,v 1.1.1.1 2002/05/22 17:27:28 helge Exp $

#ifndef __NGZlib_NGGZipStream_H__
#define __NGZlib_NGGZipStream_H__

#include <NGStreams/NGFilterStream.h>

@interface NGGZipStream : NGFilterStream
{
@private
  void          *outp;
  void          *outBuf;
  unsigned      outBufLen;
  unsigned long crc;
  BOOL          headerIsWritten;
}

- (unsigned)readBytes:(void *)_buf count:(unsigned)_len;        // decoder
- (unsigned)writeBytes:(const void *)_buf count:(unsigned)_len; // encoder

- (void)close;
- (void)flush;

@end

#endif /* __NGZlib_NGGZipStream_H__ */
