// $Id: NSString+ICal.h,v 1.2 2003/02/12 18:00:08 helge Exp $

#ifndef __ICal2_NSString_ICal_H__
#define __ICal2_NSString_ICal_H__

#import <Foundation/NSString.h>

@interface NSString(ICalValue)

/* libical internal C-strings */

- (id)initWithICalCString:(const char *)_cstr;
- (const char *)icalCString;
- (NSString *)icalString;

/* libical values */

- (id)initWithICalValueHandle:(icalvalue *)_handle;
- (id)initWithICalValueOfProperty:(icalproperty *)_prop;

@end /* NSString(ICalValue) */

#endif /* __ICal2_NSString_ICal_H__ */
