// $Id: iCalCalendar.h,v 1.1 2003/02/12 17:23:26 helge Exp $

#ifndef __NGiCal_iCalCalendar_H__
#define __NGiCal_iCalCalendar_H__

#include <NGiCal/iCalObject.h>

@class NSString, NSMutableArray, NSArray, NSEnumerator, NSMutableDictionary;
@class iCalEvent, iCalToDo, iCalJournal, iCalFreeBusy;

@interface iCalCalendar : iCalObject
{
  NSString *version;
  NSString *calscale;
  NSString *prodId;

  NSMutableArray *todos;
  NSMutableArray *events;
  NSMutableArray *journals;
  NSMutableArray *freeBusys;
  NSMutableDictionary *timezones;
}

/* accessors */

- (NSString *)calscale;
- (NSString *)version;
- (NSString *)prodId;

- (NSArray *)events;
- (NSArray *)todos;
- (NSArray *)journals;
- (NSArray *)freeBusys;

/* collection */

- (NSArray *)allObjects;
- (NSEnumerator *)objectEnumerator;

@end

#endif /* __NGiCal_iCalCalendar_H__ */
