// $Id: iCalDataSource.h,v 1.1 2003/02/12 17:23:26 helge Exp $

#ifndef __NGiCal_iCalDataSource_H__
#define __NGiCal_iCalDataSource_H__

#include <EOControl/EODataSource.h>

@class NSString, NSURL;
@class EOFetchSpecification;

@interface iCalDataSource : EODataSource
{
  EOFetchSpecification *fetchSpecification;
  NSURL    *url;
  NSString *entityName;
}

- (id)initWithURL:(NSURL *)_url      entityName:(NSString *)_ename;
- (id)initWithPath:(NSString *)_file entityName:(NSString *)_ename;
- (id)initWithURL:(NSURL *)_url;
- (id)initWithPath:(NSString *)_file;

/* accessors */

- (void)setFetchSpecification:(EOFetchSpecification *)_fspec;
- (EOFetchSpecification *)fetchSpecification;

/* fetching */

- (NSArray *)fetchObjects;

@end

#endif /* __NGiCal_iCalDataSource_H__ */
