// $Id: iCalEvent.h,v 1.2 2003/03/13 09:20:31 helge Exp $

#ifndef __NGiCal_iCalEvent_H__
#define __NGiCal_iCalEvent_H__

#include <NGiCal/iCalEntityObject.h>
#import <Foundation/NSDate.h>

/*
  iCalEvent
  
  This class keeps the attributes of an iCalendar event record, that is,
  an appointment.
*/

@class NSString, NSMutableArray, NSCalendarDate;
@class iCalPerson;

@interface iCalEvent : iCalEntityObject
{
  NSCalendarDate *endDate;
}

/* accessors */

- (NSCalendarDate *)endDate;
- (NSString *)duration;

@end

#endif /* __NGiCal_iCalEvent_H__ */
