#!/bin/sh

if test `uname` = "Darwin"; then
  echo "Installing Frameworks on Darwin ..."
  
  time (echo "EOControl";    cd EOControl;    pbxbuild -target EOControl    >.pbxbuild.log)
  time (echo "NGExtensions"; cd NGExtensions; pbxbuild -target NGExtensions >.pbxbuild.log)
  time (echo "NGStreams";    cd NGStreams;    pbxbuild -target NGStreams    >.pbxbuild.log)
  time (echo "NGMime";       cd NGMime;       pbxbuild -target NGMime       >.pbxbuild.log)
  time (echo "NGLdap";       cd NGLdap;       pbxbuild -target NGLdap       >.pbxbuild.log)
else
  echo "make debug=yes install ..."
  make -s debug=yes install
fi
