// $Id: ImapTool.m,v 1.3 2003/02/11 15:12:29 helge Exp $

#include "ImapTool.h"
#include <NGImap4/NGImap4FileManager.h>
#include "common.h"

@implementation ImapTool

- (void)flush {
  [self->fileManager release]; self->fileManager = nil;
}

- (NGImap4FileManager *)fileManager {
  if (self->fileManager == nil) {
    NSUserDefaults *ud;
    NSString       *pwd, *user, *host;

    ud = [NSUserDefaults standardUserDefaults];
    if (!(user = [ud stringForKey:@"user"]))
      user = @"j";

    if (!(pwd = [ud stringForKey:@"password"]))
      pwd = @"system";

    if (!(host = [ud stringForKey:@"host"]))
      host = @"defiant";
    
    self->fileManager = [[NGImap4FileManager alloc] initWithUser:user
                                                    password:pwd
                                                    host:host];
  }
  return self->fileManager;
}

@end /* ImapTool */ 
