// $Id: imapls.m,v 1.4 2003/01/07 11:37:30 helge Exp $

/*
  scan through imap folders/messages using the NGImap4FileManager
*/

#import "ImapListTool.h"
#include "common.h"

int main(int argc, char **argv, char **env) {
  NSAutoreleasePool *pool;
  ImapListTool *tool;
  int res;
  
  pool = [NSAutoreleasePool new];
#if LIB_FOUNDATION_LIBRARY  
  [NSProcessInfo initializeWithArguments:argv count:argc environment:env];
#endif
  
  tool = [[ImapListTool alloc] init];
  res = [tool runWithArguments:
		[[NSProcessInfo processInfo] argumentsWithoutDefaults]];
  [tool release];
  
  [pool release];
  exit(0);
  /* static linking */
  [NGExtensions class];
  return 0;
}
