// $Id: imapquota.m,v 1.3 2003/01/07 18:51:59 helge Exp $


#import "ImapQuotaTool.h"
#include "common.h"

int main(int argc, char **argv, char **env) {
  NSAutoreleasePool *pool;
  ImapTool *tool;
  int res = 0;
  
  pool = [NSAutoreleasePool new];
  
#if LIB_FOUNDATION_LIBRARY  
  [NSProcessInfo initializeWithArguments:argv count:argc environment:env];
#endif
  
  tool = [[ImapQuotaTool alloc] init];

  {
    NSString *str;

    str = [[NSUserDefaults standardUserDefaults] objectForKey:@"path"];
    NSLog(@"quota for path: %@", str);
    NSLog(@"result %@", [tool getQuotaRoot:str]);
  }  
  [tool release];
  
  [pool release];
  exit(res);
  /* static linking */
  [NGExtensions class];
  return res;
}
