// $Id: EOArrayDataSource.h,v 1.1.1.1 2002/05/22 17:27:37 helge Exp $

#ifndef __EOArrayDataSource_H__
#define __EOArrayDataSource_H__

#include <EOControl/EODataSource.h>

@class NSArray, NSMutableArray;
@class EOFetchSpecification;

@interface EOArrayDataSource : EODataSource
{
  NSMutableArray       *objects;
  EOFetchSpecification *fetchSpecification;
}

- (void)setFetchSpecification:(EOFetchSpecification *)_fspec;
- (EOFetchSpecification *)fetchSpecification;

- (void)setArray:(NSArray *)_array;

@end

#endif /* __EOArrayDataSource_H__ */
