// $Id: EODetailDataSource.h,v 1.1.1.1 2002/05/22 17:27:36 helge Exp $

#ifndef __EOControl_EODetailDataSource_H__
#define __EOControl_EODetailDataSource_H__

#include <EOControl/EODataSource.h>

@class EOClassDescription;

@interface EODetailDataSource : EODataSource
{
  EOClassDescription *masterClassDescription;
  EODataSource       *masterDataSource;
  id                 masterObject;
  NSString           *detailKey;
}

- (id)initWithMasterClassDescription:(EOClassDescription *)_cd
  detailKey:(NSString *)_relKey; // designated initializer
- (id)initWithMasterDataSource:(EODataSource *)_ds
  detailKey:(NSString *)_relKey;

/* reflection */

- (void)setMasterClassDescription:(EOClassDescription *)_cd;
- (EOClassDescription *)masterClassDescription;
- (EODataSource *)masterDataSource;

/* master-detail */

- (id)masterObject;
- (NSString *)detailKey;

@end

#endif /* __EOControl_EODetailDataSource_H__ */
