// $Id: EONull.h,v 1.1.1.1 2002/05/22 17:27:31 helge Exp $

#ifndef __EOControl_EONull_h__
#define __EOControl_EONull_h__

#import <Foundation/Foundation.h>

#ifndef HAVE_NSNull
#  define HAVE_NSNull 1
#endif

#if HAVE_NSNull

#import <Foundation/NSNull.h>

#define EONull NSNull

#else /* !HAVE_NSNull | NeXT Foundation */

#import <Foundation/NSObject.h>

@interface EONull : NSObject <NSCopying>

+ (id)null;

@end /* EONull */

#endif /* !HAVE_NSNull */

#endif /* __EOControl_EONull_h__ */
