// $Id: EOCacheDataSource.h,v 1.1.1.1 2002/05/22 17:27:16 helge Exp $

#ifndef __NGExtensions_EOCacheDataSource_H__
#define __NGExtensions_EOCacheDataSource_H__

#import <EOControl/EODataSource.h>
#import <Foundation/NSDate.h>

@class NSTimer;

@interface EOCacheDataSource : EODataSource
{
  EODataSource   *source;
  id             cache;
  NSTimeInterval timeout;
  NSTimeInterval time;
  NSTimer        *timer;

  BOOL _isFetching;
}

- (id)initWithDataSource:(EODataSource *)_ds;

/* accessors */

- (void)setSource:(EODataSource *)_source;
- (EODataSource *)source;

- (void)setTimeout:(NSTimeInterval)_timeout;
- (NSTimeInterval)timeout;

- (void)clear;

@end

#endif /* __NGExtensions_EOCacheDataSource_H__ */
