// $Id: EOCompoundDataSource.h,v 1.1.1.1 2002/05/22 17:27:16 helge Exp $

#ifndef __NGExtensions_EOCompoundDataSource_H__
#define __NGExtensions_EOCompoundDataSource_H__

#import <EOControl/EODataSource.h>

@class NSArray;
@class EOQualifier;

@interface EOCompoundDataSource : EODataSource
{
  NSArray     *sources;
  EOQualifier *auxiliaryQualifier;
  NSArray     *sortOrderings;
}

- (id)initWithDataSources:(NSArray *)_ds;

/* accessors */

- (void)setSources:(NSArray *)_sources;
- (NSArray *)sources;

- (void)setAuxiliaryQualifier:(EOQualifier *)_q;
- (EOQualifier *)auxiliaryQualifier;
- (void)setSortOrderings:(NSArray *)_o;
- (NSArray *)sortOrderings;

@end

#endif /* __NGExtensions_EOCompoundDataSource_H__ */
