// $Id: EODataSource+NGExtensions.h,v 1.1.1.1 2002/05/22 17:27:16 helge Exp $

#ifndef __NGExtensions_EODataSource_NGExtensions_H__
#define __NGExtensions_EODataSource_NGExtensions_H__

#import <EOControl/EODataSource.h>
#include <NGExtensions/NGExtensionsDecls.h>

@class EOFetchSpecification;

NGExtensions_EXPORT NSString *EODataSourceDidChangeNotification;

/*
  If a fetchspecification without a qualifier is passed, the
  datasource should fetch all objects by default. If the
  EONoFetchWithEmptyQualifierHint value in the fspec hints-dictionary
  is YES, an emtpy array should be returned.
*/
NGExtensions_EXPORT NSString *EONoFetchWithEmptyQualifierHint;

@interface EODataSource(NGExtensions)

- (void)setFetchSpecification:(EOFetchSpecification *)_fetchSpec;
- (EOFetchSpecification *)fetchSpecification;

- (void)postDataSourceChangedNotification;

- (void)updateObject:(id)_obj;

@end

#endif /* __NGExtensions_EODataSource_NGExtensions_H__ */
