// $Id: EOFilterDataSource.h,v 1.1.1.1 2002/05/22 17:27:16 helge Exp $

#ifndef __NGExtensions_EOFilterDataSource_H__
#define __NGExtensions_EOFilterDataSource_H__

#import <EOControl/EODataSource.h>

@class NSArray;
@class EOQualifier;

@interface EOFilterDataSource : EODataSource
{
  EODataSource *source;
  EOQualifier *auxiliaryQualifier;
  NSArray     *sortOrderings;
  NSArray     *groupings;
}

- (id)initWithDataSource:(EODataSource *)_ds;

/* accessors */

- (void)setSource:(EODataSource *)_source;
- (EODataSource *)source;

- (void)setAuxiliaryQualifier:(EOQualifier *)_q;
- (EOQualifier *)auxiliaryQualifier;
- (void)setSortOrderings:(NSArray *)_o;
- (NSArray *)sortOrderings;
- (void)setGroupings:(NSArray *)_groupings;
- (NSArray *)groupings;

@end

#endif /* __NGExtensions_EOFilterDataSource_H__ */
