// $Id: EOGrouping.h,v 1.1.1.1 2002/05/22 17:27:16 helge Exp $

#ifndef _EOGrouping_h__
#define _EOGrouping_h__

#import <Foundation/NSObject.h>

@class NSString, NSArray;

@interface EOGrouping : NSObject
{
  NSString *defaultName;
  NSArray  *sortOrderings;
}

- (id)initWithDefaultName:(NSString *)_defaultName;

- (NSString *)defaultName;
- (void)setDefaultName:(NSString *)_defaultName;

- (NSArray *)sortOrderings;
- (void)setSortOrderings:(NSArray *)_sortOrderings;

- (NSString *)groupNameForObject:(id)object;
- (NSArray *)orderedGroupNames;

@end

#import <Foundation/NSArray.h>

@class NSDictionary;

@interface NSArray(EOGrouping)
- (NSDictionary *)arrayGroupedBy:(EOGrouping *)_grouping;
@end

#import <EOControl/EOFetchSpecification.h>

extern NSString *EOGroupingHint;

@interface EOFetchSpecification(Groupings)
- (void)setGroupings:(NSArray *)_groupings;
- (NSArray *)groupings;
@end

#endif /* _EOGrouping_h__ */
