// $Id: FileObjectHolder.h,v 1.1 2003/04/01 15:50:43 helge Exp $
// Created by Helge Hess on Wed Apr 17 2002.

#ifndef __testrunloop_FileObject__
#define __testrunloop_FileObject__

#import <Foundation/NSObject.h>

@class NSFileHandle, NSNotificationCenter;

/*
  This class is used to implement Unix filedescriptor notification
  on the MacOSX Foundation library.
*/

@interface FileObjectHolder : NSObject 
{
  NSFileHandle *fileHandle;
  NSString     *mode;
  id   fileObject;
  int  fd;
  int  activities;
  BOOL waitActive;
}

- (id)initWithFileObject:(id)_obj activities:(int)_act mode:(NSString *)_mode;

/* accessors */

- (NSFileHandle *)fileHandle;
- (id)fileObject;
- (int)fileDescriptor;
- (int)activities;
- (NSString *)mode;

- (NSNotificationCenter *)notificationCenter;

/* operations */

- (void)wait;
- (void)stopWaiting;

@end

#endif /* __testrunloop_FileObject__ */
