// $Id: NGExtensions.m,v 1.5 2002/07/10 12:29:57 helge Exp $

#include "NGExtensions.h"

#include "NGBase64Coding.h"
#include "NGBaseTypes.h"
#include "NGBitSet.h"
#include "NGCString.h"
#include "NGHashMap.h"
#include "NGMD5Generator.h"
#include "NGMemoryAllocation.h"
#include "NGStack.h"
#include "NSArray+enumerator.h"
#include "NSData+misc.h"
#include "NSException+misc.h"
#include "NSMethodSignature+misc.h"
#include "NSObject+Values.h"
#include "NSSet+enumerator.h"
#include "NSString+Formatting.h"
#include "NSString+misc.h"
#include "NSDictionary+misc.h"
#include "NSCalendarDate+misc.h"
#include "NGBundleManager.h"
#include "NGQuotedPrintableCoding.h"

@implementation NGExtensions

/* statically link Objective-C categories */

extern void __link_NSProcessInfo_misc(void);
extern void __link_NSCalendarDate_misc(void);
extern void __link_EODataSource_NGExtensions(void);
extern void __link_NSString_Formatting(void);
extern void __link_NGBase64Coding(void);
extern void __link_NGExtensions_NSObjectValues(void);

- (void)_staticLinkClasses {
   __link_NSProcessInfo_misc();
   __link_NSCalendarDate_misc();
   __link_EODataSource_NGExtensions();
   __link_NSString_Formatting();
   __link_NGBase64Coding();
   __link_NGExtensions_NSObjectValues();
}

@end /* NGExtensions */
