// $Id: NGLdapModification.h,v 1.1.1.1 2002/05/22 17:27:17 helge Exp $

#ifndef __NGLdapModification_H__
#define __NGLdapModification_H__

#import <Foundation/NSObject.h>

@class NGLdapAttribute;

#define NGLdapAddAttribute     1
#define NGLdapDeleteAttribute  2
#define NGLdapReplaceAttribute 3

@interface NGLdapModification : NSObject
{
  int             operation;
  NGLdapAttribute *attribute;
}

+ (id)addModification:(NGLdapAttribute *)_attribute;
+ (id)replaceModification:(NGLdapAttribute *)_attribute;
+ (id)deleteModification:(NGLdapAttribute *)_attribute;
- (id)initWithOperation:(int)_op attribute:(NGLdapAttribute *)_attribute;

- (int)operation;
- (NGLdapAttribute *)attribute;

@end

#endif /* __NGLdapModification_H__ */
