// $Id: NGImap4DataSource.h,v 1.2 2002/07/09 16:07:05 helge Exp $

#ifndef __LSWebInterface_LSOffice3_LSWImapMail_SkyImapMailDataSource_H__
#define __LSWebInterface_LSOffice3_LSWImapMail_SkyImapMailDataSource_H__

#import <NGExtensions/EODataSource+NGExtensions.h>
#import <NGImap4/NGImap4Folder.h>

@class NSArray;
@class NGImap4Folder;
@class EOFetchSpecification;

@interface NGImap4DataSource : EODataSource
{
@protected
  EOFetchSpecification *fspec;
  NSArray       *messages;
  NGImap4Folder *folder;
  int           oldExists; // remember the 'exists' flag of the folder
  int           oldUnseen; // remember the 'unseen' flag of the folder

  NSArray       *oldUnseenMessages;
}

- (id)initWithFolder:(NGImap4Folder *)_folder;

- (void)setFolder:(NGImap4Folder *)_folder;
- (NGImap4Folder *)folder;

- (int)oldExists;
- (int)oldUnseen;

@end

#endif
