// $Id: NGImap4ResponseParser.h,v 1.2 2002/12/27 09:53:28 helge Exp $

#ifndef __Networking_NGImap4_NGImap4ResponseParser_H__
#define __Networking_NGImap4_NGImap4ResponseParser_H__

#import <Foundation/NSObject.h>
#import <Foundation/NSException.h>
#include <NGStreams/NGSocketProtocols.h>
#include <NGImap4/NGImap4Support.h>

@class NSString, NGHashMap, NGByteBuffer, NSMutableString;

@interface NGImap4ResponseParser : NSObject
{
  NGByteBuffer     *buffer;    
  BOOL             debug;
  NSMutableString  *lineDebug;
  
  int (*la)(id, SEL, unsigned);

  NSMutableString *serverResponseDebug;
}

+ (id)parserWithStream:(id<NGActiveSocket>)_stream;
- (id)initWithStream:(id<NGActiveSocket>)_stream;

/* parsing */

- (NGHashMap *)parseResponseForTagId:(int)_tag;
- (NGHashMap *)parseSieveResponse;

@end

#endif /* __Networking_NGImap4_NGImap4ResponseParser_H__ */
