// $Id: NGMail.m,v 1.2 2002/12/27 09:53:37 helge Exp $

#include "NGMail.h"
#include "NGMBoxReader.h"
#include "NGPop3Client.h"
#include "NGSmtpClient.h"
#include "NGMimeMessage.h"
#include "NGMimeMessageParser.h"
#include "NGMimeMessageGenerator.h"
#include "NGMailAddress.h"
#include "NGMailAddressList.h"
#include "NGMailAddressParser.h"

#import <NGStreams/NGStreams.h>
#import <NGMime/NGMime.h>

@implementation NGMail

/*
  all this is required when compiling on GNUstep without shared
  libraries. eg gprof profiling only works with static binaries,
  therefore this is sometimes required. sigh.
*/

- (void)_staticLinkClasses {
  [NGMailAddress          self];
  [NGMailAddressList      self];
  [NGMailAddressParser    self];
  [NGMimeMessage          self];
  [NGMimeMessageParser    self];
  [NGMimeMessageGenerator self];
  
  [NGMBoxReader self];
  [NGPop3Client self];
  [NGSmtpClient self];

  [NGMime self];
}

- (void)_staticLinkModules {
  [NGStreams class];
  [NGMime    class];
}

@end /* NGMail */
