// $Id: NGMailAddress.h,v 1.1.1.1 2002/05/22 17:27:18 helge Exp $

#ifndef __NGMail_NGMailAddress_H__
#define __NGMail_NGMailAddress_H__

#import <Foundation/NSObject.h>

@class NSString;

@interface NGMailAddress : NSObject < NSCopying, NSCoding >
{
@protected
  NSString *address;
  NSString *displayName;
  NSString *route;
}

+ (id)mailAddressWithAddress:(NSString *)_address
   displayName:(NSString *)_owner
   route:(NSString *)_route;

- (id)initWithAddress:(NSString *)_address
   displayName:(NSString *)_owner
   route:(NSString *)_route;

// equality

- (BOOL)isEqual:(id)_anObject;

// accessors

- (void)setAddress:(NSString *)_string;
- (NSString *)address;

- (void)setDisplayName:(NSString *)_displayName;
- (NSString *)displayName;

- (void)setRoute:(NSString *)_route;
- (NSString *)route;

@end

#endif /* __NGMail_NGMailAddress_H__ */
