// $Id: NGMailAddressList.h,v 1.1.1.1 2002/05/22 17:27:18 helge Exp $

#ifndef __NGMail_NGMailAddressList_H__
#define __NGMail_NGMailAddressList_H__

#import <Foundation/NSObject.h>

@class NSMutableSet, NSSet, NSString, NSEnumerator;
@class NGMailAddress;

@interface NGMailAddressList : NSObject < NSCoding, NSCopying >
{
@protected
  NSMutableSet *addresses;
  NSString     *groupName;
}

+ (id)mailAddressListWithAddresses:(NSSet *)_addresses
   groupName:(NSString *)_groupName;

- (id)init;
- (id)initWithAddresses:(NSSet *)_addresses
   groupName:(NSString *)_groupName;

// addresses

- (void)addAddress:(NGMailAddress *)_address;

// accessors

- (NSEnumerator *)addresses;

- (void)setGroupName:(NSString *)_name;
- (NSString *)groupName;


@end

#endif /* __NGMail_NGMailAddressList_H__ */
