// $Id: NGMimeExceptions.m,v 1.2 2002/12/27 09:53:44 helge Exp $

#include "NGMimeExceptions.h"
#include "common.h"

@implementation NGMimeException

+ (int)version {
  return 2;
}

- (id)init {
  return [self initWithReason:@"a MIME exception occured"];
}
  
@end /* NGMimeException */

@implementation NGMimeParserException

+ (int)version {
  return 2;
}
+ (void)initialize {
  NSAssert2([super version] == 2,
            @"invalid superclass (%@) version %i !",
            NSStringFromClass([self superclass]), [super version]);
}

- (id)init {
  return [self initWithReason:@"a MIME exception occured during parsing"];
}

@end /* NGMimeParserException */
