// $Id: iCalObject.m,v 1.2 2003/03/13 09:18:06 helge Exp $

#include "iCalObject.h"
#include "common.h"

@implementation iCalObject

- (void)dealloc {
  [super dealloc];
}

/* KVC */

- (void)takeValue:(id)_value forXKey:(id)_key {
  /* extended keys are ignored by default */
}

- (void)handleTakeValue:(id)_value forUnboundKey:(NSString *)_key {
  if ([_key hasPrefix:@"X-"]) {
    [self takeValue:_value forXKey:_key];
  }
  else {
    NSLog(@"0x%08x[%@]: ignoring attempt to set unbound key '%@'",
	  self, NSStringFromClass([self class]), _key);
  }
}

@end /* iCalObject */
