// $Id: iCalPerson.h,v 1.2 2003/03/10 17:28:04 helge Exp $

#ifndef __NGiCal_iCalPerson_H__
#define __NGiCal_iCalPerson_H__

#include <NGiCal/iCalObject.h>

@interface iCalPerson : iCalObject
{
  NSString *cn;
  NSString *email;
  NSString *rsvp;     /* FALSE           */
  NSString *partStat; /* ACCEPTED        */
  NSString *role;     /* REQ-PARTICIPANT */
  NSString *xuid;     /* x22sAAHFf       */
}

/* accessors */

- (NSString *)cn;
- (NSString *)email;
- (NSString *)rsvp;
- (NSString *)xuid;
- (NSString *)role;
- (NSString *)partStat;

@end

#endif /* __NGiCal_iCalPerson_H__ */
