// $Id: iCalTrigger.m,v 1.1 2003/02/12 17:23:29 helge Exp $

#include "iCalTrigger.h"
#include "common.h"

@implementation iCalTrigger

- (void)dealloc {
  [self->value     release];
  [self->valueType release];
  [super dealloc];
}

/* accessors */

- (void)setValue:(NSString *)_value {
  ASSIGNCOPY(self->value, _value);
}
- (NSString *)value {
  return self->value;
}

- (void)setValueType:(NSString *)_value {
  ASSIGNCOPY(self->valueType, _value);
}
- (NSString *)valueType {
  return self->valueType;
}

/* descriptions */

- (NSString *)description {
  NSMutableString *ms;

  ms = [NSMutableString stringWithCapacity:128];
  [ms appendFormat:@"<0x%08X[%@]:", self, NSStringFromClass([self class])];

  if (self->valueType)
    [ms appendFormat:@" type=%@", self->valueType];
  if (self->value)
    [ms appendFormat:@" value=%@", self->value];
  
  [ms appendString:@">"];
  return ms;
}

@end /* iCalTrigger */
