// $Id: ImapListTool.h,v 1.3 2002/11/21 17:36:29 jan Exp $

#import "ImapTool.h"

@class NSArray;

/*
  Supported Args:
    -statistics YES|NO (print statistics, parsing time, memory)
    -datasource YES|NO (use datasource or directoryContentsAtPath:)
    -preloops   <int>  (loop n-times before running the actual fetch)
*/

@interface ImapListTool : ImapTool
{
  BOOL useDataSource;
  int  preloops;
  BOOL stats;
}

- (int)runWithArguments:(NSArray *)_args;

@end
