// $Id: ImapQuotaTool.m,v 1.2 2003/01/07 18:51:59 helge Exp $

#include <NGImap4/NGImap4Client.h>
#include <NGImap4/NGImap4FileManager.h>
#include <NGImap4/NGImap4Context.h>
#include "common.h"
#include "ImapQuotaTool.h"

@implementation ImapQuotaTool

- (NSDictionary *)getQuotaRoot:(NSString *)_folder {
  NGImap4FileManager *fm;
  NGImap4Client      *client;

  fm = [self fileManager];
  client = [[fm imapContext] client];

  return [[client getQuotaRoot:_folder] objectForKey:@"quotas"];
  
}

@end /* ImapQuotaTool */
