// $Id: Mime2XmlTool.h,v 1.3 2002/07/08 16:07:05 helge Exp $

#import <Foundation/NSObject.h>

@class NSArray;

/*
  Supported Args:
    -statistics YES|NO (print statistics, parsing time, memory)
    -streams    YES|NO (either use streaming IO or memory mapped data)
    -preloops   <int>  (loop n-times before running the actual parse)
*/

@interface Mime2XmlTool : NSObject
{
  int outIndent;

  BOOL parseFields;
  BOOL useDelegate;
  BOOL rejectAllFields;
  
  int  preloops;
}

- (int)runWithArguments:(NSArray *)_args;

@end
